## UIM Switch Slot request UIM Switch Slot request |

## Functions

QmiMessageUimSwitchSlotInput * | qmi_message_uim_switch_slot_input_new ()
QmiMessageUimSwitchSlotInput * | qmi_message_uim_switch_slot_input_ref ()
void | qmi_message_uim_switch_slot_input_unref ()
gboolean | qmi_message_uim_switch_slot_input_get_physical_slot ()
gboolean | qmi_message_uim_switch_slot_input_set_physical_slot ()
gboolean | qmi_message_uim_switch_slot_input_get_logical_slot ()
gboolean | qmi_message_uim_switch_slot_input_set_logical_slot ()
QmiMessageUimSwitchSlotOutput * | qmi_message_uim_switch_slot_output_ref ()
void | qmi_message_uim_switch_slot_output_unref ()
gboolean | qmi_message_uim_switch_slot_output_get_result ()
void | qmi_client_uim_switch_slot ()
QmiMessageUimSwitchSlotOutput * | qmi_client_uim_switch_slot_finish ()

## Types and Values

| QmiMessageUimSwitchSlotInput
| QmiMessageUimSwitchSlotOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimSwitchSlotInput
        ╰── QmiMessageUimSwitchSlotOutput

## Description

## Functions

### qmi_message_uim_switch_slot_input_new ()

    QmiMessageUimSwitchSlotInput *
    qmi_message_uim_switch_slot_input_new (void);

Allocates a new QmiMessageUimSwitchSlotInput.

#### Returns

the newly created QmiMessageUimSwitchSlotInput. The returned value should be freed with `qmi_message_uim_switch_slot_input_unref()`.

Since: 1.26

### qmi_message_uim_switch_slot_input_ref ()

    QmiMessageUimSwitchSlotInput *
    qmi_message_uim_switch_slot_input_ref (QmiMessageUimSwitchSlotInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimSwitchSlotInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_uim_switch_slot_input_unref ()

    void
    qmi_message_uim_switch_slot_input_unref
                                   (QmiMessageUimSwitchSlotInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimSwitchSlotInput. |

Since: 1.26

### qmi_message_uim_switch_slot_input_get_physical_slot ()

    gboolean
    qmi_message_uim_switch_slot_input_get_physical_slot
                                   (QmiMessageUimSwitchSlotInput *self,
                                    guint32 *value_physical_slot,
                                    GError **error);

Get the 'Physical Slot' field from `self` .

#### Parameters

self | a QmiMessageUimSwitchSlotInput. |
value_physical_slot | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_uim_switch_slot_input_set_physical_slot ()

    gboolean
    qmi_message_uim_switch_slot_input_set_physical_slot
                                   (QmiMessageUimSwitchSlotInput *self,
                                    guint32 value_physical_slot,
                                    GError **error);

Set the 'Physical Slot' field in the message.

#### Parameters

self | a QmiMessageUimSwitchSlotInput. |
value_physical_slot | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_uim_switch_slot_input_get_logical_slot ()

    gboolean
    qmi_message_uim_switch_slot_input_get_logical_slot
                                   (QmiMessageUimSwitchSlotInput *self,
                                    guint8 *value_logical_slot,
                                    GError **error);

Get the 'Logical Slot' field from `self` .

#### Parameters

self | a QmiMessageUimSwitchSlotInput. |
value_logical_slot | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_uim_switch_slot_input_set_logical_slot ()

    gboolean
    qmi_message_uim_switch_slot_input_set_logical_slot
                                   (QmiMessageUimSwitchSlotInput *self,
                                    guint8 value_logical_slot,
                                    GError **error);

Set the 'Logical Slot' field in the message.

#### Parameters

self | a QmiMessageUimSwitchSlotInput. |
value_logical_slot | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_uim_switch_slot_output_ref ()

    QmiMessageUimSwitchSlotOutput *
    qmi_message_uim_switch_slot_output_ref
                                   (QmiMessageUimSwitchSlotOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimSwitchSlotOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_uim_switch_slot_output_unref ()

    void
    qmi_message_uim_switch_slot_output_unref
                                   (QmiMessageUimSwitchSlotOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimSwitchSlotOutput. |

Since: 1.26

### qmi_message_uim_switch_slot_output_get_result ()

    gboolean
    qmi_message_uim_switch_slot_output_get_result
                                   (QmiMessageUimSwitchSlotOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimSwitchSlotOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_uim_switch_slot ()

    void
    qmi_client_uim_switch_slot (QmiClientUim *self,
                                QmiMessageUimSwitchSlotInput *input,
                                guint timeout,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously sends a Switch Slot request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_switch_slot_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimSwitchSlotInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_uim_switch_slot_finish ()

    QmiMessageUimSwitchSlotOutput *
    qmi_client_uim_switch_slot_finish (QmiClientUim *self,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an async operation started with `qmi_client_uim_switch_slot()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_switch_slot()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimSwitchSlotOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_switch_slot_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageUimSwitchSlotInput

    typedef struct _QmiMessageUimSwitchSlotInput QmiMessageUimSwitchSlotInput;

The QmiMessageUimSwitchSlotInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageUimSwitchSlotOutput

    typedef struct _QmiMessageUimSwitchSlotOutput QmiMessageUimSwitchSlotOutput;

The QmiMessageUimSwitchSlotOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26